## org.eclipse.datatools.sqltools.sqlbuilder.util
Class OmitSchemaChangedNotifier

    java.lang.Object
      java.util.Observable
          org.eclipse.datatools.sqltools.sqlbuilder.util.OmitSchemaChangedNotifier

    public class OmitSchemaChangedNotifier

extends java.util.Observable

Class is used to call observer (SQLBuilder) of this class.

This comes into play when the user has a statement opened and then changes the omit schema properties. In such a case, the changes will apply to the currently opened statement without having to close then reopen it to take effect.

Method Summary
`static OmitSchemaChangedNotifier` `getInstance()`
`boolean` `isOmitSchema()` Gets whether or not to omit the schema
`void` `schemaChanged(java.lang.Object schema, boolean omit)` Call this method to notify SQLBuilder of changes
`void` `setOmitSchema(boolean omit)` Sets whether or not to omit the schema

Methods inherited from class java.util.Observable
`addObserver, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static OmitSchemaChangedNotifier getInstance()

### isOmitSchema

    public boolean isOmitSchema()

  Gets whether or not to omit the schema

  Returns:
    true if omit schema, false if not

### setOmitSchema

    public void setOmitSchema(boolean omit)

  Sets whether or not to omit the schema

  Parameters:
    `omit` - whether or not to omit the schema

### schemaChanged

    public void schemaChanged(java.lang.Object schema,
                              boolean omit)

  Call this method to notify SQLBuilder of changes

  Parameters:
    `schema` - the schema name to pass to SQLBuilder
    `omit` - whether or not to omit the schema